<div class="col-6 offset-3 mt-3">
  <h2>{{title}}</h2>
  <hr>
  <div class="col-6 m-auto">
    <div class="alert alert-success" *ngIf="status=='success'">¡Bienvenido {{identity.name}}!</div>
    <div class="alert alert-danger" *ngIf="status=='error'">Login incorrecto</div>
    <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
      <div class="form-group">
        <label for="email">E-mail</label>
        <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
          <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El E-mail no es válido</div>
      </div>
      <div class="form-group">
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
          class="form-control" pattern=".{5,}" required>
          <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña no es válida</div>
      </div>
      <p>
        <input type="submit" value="Entrar" [disabled]="loginForm.form.invalid" class="btn btn-success">
      </p>
    </form>
  </div>
</div>